[SCM] Samba Shared Repository - branch v3-2-test updated - release-3-2-0pre2-555-gd775194

Michael Adam obnox at samba.org
Mon Mar 31 15:41:26 GMT 2008


The branch, v3-2-test has been updated
       via  d775194e9c7b75182c485fba427b20ec2bfcf16c (commit)
       via  bf4af79f050cceb6611a8aa3d893b59b816a41ce (commit)
       via  ad1fbadf81c915425301ec495744c11f3103169f (commit)
      from  04b48984bbf84c55bb41a74a11cbcc7358377fed (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-2-test


- Log -----------------------------------------------------------------
commit d775194e9c7b75182c485fba427b20ec2bfcf16c
Author: Michael Adam <obnox at samba.org>
Date:   Mon Mar 31 13:51:49 2008 +0200

    test: add (and unify) sectioning output of subtests in tests_all.sh
    
    Michael

commit bf4af79f050cceb6611a8aa3d893b59b816a41ce
Author: Michael Adam <obnox at samba.org>
Date:   Mon Mar 31 13:33:12 2008 +0200

    test: add possibility to select tests to run via tests_all.sh (make test)
    
    This allows to select the tests to run with tests_all.sh by setting
    the environment variable "RUNTESTS". Example:
    
    RUNTESTS="smbclient_s3_encrypted wbinfo_s3" make test
    
    Michael

commit ad1fbadf81c915425301ec495744c11f3103169f
Author: Michael Adam <obnox at samba.org>
Date:   Mon Mar 31 13:20:08 2008 +0200

    test: in tests_all.sh, wrap calls to test scripts into shell functions.
    
    This is in preparation for enabling running only selected test scripts
    through "make test".
    
    Michael

-----------------------------------------------------------------------

Summary of changes:
 source/script/tests/tests_all.sh |   91 ++++++++++++++++++++++++++++++-------
 1 files changed, 73 insertions(+), 18 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source/script/tests/tests_all.sh b/source/script/tests/tests_all.sh
index 369cf3e..e2cfad6 100755
--- a/source/script/tests/tests_all.sh
+++ b/source/script/tests/tests_all.sh
@@ -1,20 +1,75 @@
-$SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
-$SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
-echo "Testing encrypted"
-$SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" "-e" || failed=`expr $failed + $?`
-$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
-echo "Testing encrypted"
-$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP "-e" || failed=`expr $failed + $?`
-$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
-$SCRIPTDIR/test_ntlm_auth_s3.sh || failed=`expr $failed + $?`
-
-eval "$LIB_PATH_VAR="\$SAMBA4SHAREDDIR:\$$LIB_PATH_VAR"; export $LIB_PATH_VAR"
-eval echo "$LIB_PATH_VAR=\$$LIB_PATH_VAR"
-SMBTORTURE4VERSION=`$SMBTORTURE4 --version`
-if [ -n "$SMBTORTURE4" -a -n "$SMBTORTURE4VERSION" ];then
-	echo "Running Tests with Samba4's smbtorture"
-	echo $SMBTORTURE4VERSION
-	$SCRIPTDIR/test_posix_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+local_s3() {
+	echo "RUNNING SUBTESTS local_s3"
+	$SCRIPTDIR/test_local_s3.sh \
+	|| failed=`expr $failed + $?`
+}
+
+smbtorture_s3() {
+	echo "RUNNING SUBTESTS smbtorture_s3"
+	$SCRIPTDIR/test_smbtorture_s3.sh \
+		//$SERVER_IP/tmp $USERNAME $PASSWORD "" \
+	|| failed=`expr $failed + $?`
+}
+
+smbtorture_s3_encrypted() {
+	echo "RUNNING SUBTESTS smbtorture_s3_encrypted"
+	$SCRIPTDIR/test_smbtorture_s3.sh \
+		//$SERVER_IP/tmp $USERNAME $PASSWORD "" "-e" \
+	|| failed=`expr $failed + $?`
+}
+
+smbclient_s3() {
+	echo "RUNNING SUBTESTS smbclient_s3"
+	$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP \
+	|| failed=`expr $failed + $?`
+}
+
+smbclient_s3_encrypted() {
+	echo "RUNNING SUBTESTS smbclient_s3_encrypted"
+	$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP "-e" \
+	|| failed=`expr $failed + $?`
+}
+
+wbinfo_s3() {
+	echo "RUNNING SUBTESTS wbinfo_s3"
+	$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD \
+	|| failed=`expr $failed + $?`
+}
+
+ntlm_auth_s3() {
+	echo "RUNNING SUBTESTS ntlm_auth_s3"
+	$SCRIPTDIR/test_ntlm_auth_s3.sh \
+	|| failed=`expr $failed + $?`
+}
+
+posix_s3() {
+	echo "RUNNING SUBTESTS posix_s3"
+	eval "$LIB_PATH_VAR="\$SAMBA4SHAREDDIR:\$$LIB_PATH_VAR"; export $LIB_PATH_VAR"
+	eval echo "$LIB_PATH_VAR=\$$LIB_PATH_VAR"
+	SMBTORTURE4VERSION=`$SMBTORTURE4 --version`
+	if [ -n "$SMBTORTURE4" -a -n "$SMBTORTURE4VERSION" ];then
+		echo "Running Tests with Samba4's smbtorture"
+		echo $SMBTORTURE4VERSION
+		$SCRIPTDIR/test_posix_s3.sh \
+			//$SERVER_IP/tmp $USERNAME $PASSWORD "" \
+		|| failed=`expr $failed + $?`
+	else
+		echo "Skip Tests with Samba4's smbtorture"
+	fi
+}
+
+if test "x$RUNTESTS" = "x" ; then
+	local_s3
+	smbtorture_s3
+	smbtorture_s3_encrypted
+	smbclient_s3
+	smbclient_s3_encrypted
+	wbinfo_s3
+	ntlm_auth_s3
+	posix_s3
 else
-	echo "Skip Tests with Samba4's smbtorture"
+	for THIS_TEST in $RUNTESTS; do
+		$THIS_TEST
+	done
 fi
+


-- 
Samba Shared Repository


More information about the samba-cvs mailing list